!----------------------------------------------------------------------
!
!  File:   foam_defs.f90
!  Author: Ian Ross, University of Bristol
!  Date:   19 Feb 2005
!
!----------------------------------------------------------------------
!
!  Basic type and constant definitions used in FOAM/LPJ model-specific
! code for MOTIF/PMIP2 file post-processor.
!
!----------------------------------------------------------------------

MODULE ukmo_defs

  USE pp_defs

  IMPLICIT NONE


  ! Parameters used in a few places.

  REAL, PARAMETER :: PI = 3.141592653589793
  REAL, PARAMETER :: D_TO_R = PI / 180.0
  REAL, PARAMETER :: R_EARTH = 6371.0         ! km


! not intending to use these for UM
!  ! Model-specific axis sizes for FOAM.
!
!  INTEGER, PARAMETER :: FOAM_ALON = 48, FOAM_ALAT = 40, FOAM_AHGT = 18
!  INTEGER, PARAMETER :: FOAM_OLON = 128, FOAM_OLAT = 128, FOAM_ODPTH = 24
!  INTEGER, PARAMETER :: FOAM_SLON = 128, FOAM_SLAT = 128, FOAM_SDPTH = 4
!  INTEGER, PARAMETER :: FOAM_ILON = 128, FOAM_ILAT = 128
!  INTEGER, PARAMETER :: FOAM_NPFT = 9


! still need to check this is the same throughout UM submodels
  ! Missing value flag used in all UM files.

  REAL, PARAMETER :: UKMO_MISSING_VAL = 2.0E20


!unchecked for UM
  ! Ocean reference density value (kg/m^3).

  REAL, PARAMETER :: RHO_REF_OCEAN = 1030.0


  ! Configuration file parameters.

  CHARACTER(LEN=ARG_LEN)  :: ukmo_data_dir  ! Path to UM output data.
  CHARACTER(LEN=ARG_LEN)  :: ukmo_job       ! Name of UM job.

  ! need to create regions file for UM
!  CHARACTER(LEN=ARG_LEN) :: regions_file   ! Path to ocean regions file.

END MODULE ukmo_defs

!----------------------------------------------------------------------
!----------------------------------------------------------------------
!----------------------------------------------------------------------
